GLOBAL
      gp2x_keys[14];
      
process test_buttons ()
begin
     loop
         if (key(_a)) gp2x_keys[14]++; else gp2x_keys[14]=0; end
         if (key(_s)) gp2x_keys[13]++; else gp2x_keys[13]=0; end
         if (key(_backspace)) gp2x_keys[12]++; else gp2x_keys[12]=0; end
         if (key(_tab)) gp2x_keys[11]++; else gp2x_keys[11]=0; end
         if (key(_c)) gp2x_keys[10]++; else gp2x_keys[10]=0; end
         if (key(_up)) gp2x_keys[9]++; else gp2x_keys[9]=0; end
         if (key(_down)) gp2x_keys[8]++; else gp2x_keys[8]=0; end
         if (key(_left)) gp2x_keys[7]++; else gp2x_keys[7]=0; end
         if (key(_right)) gp2x_keys[6]++; else gp2x_keys[6]=0; end
         if (key(_enter)) gp2x_keys[5]++; else gp2x_keys[5]=0; end
         if (key(_space)) gp2x_keys[4]++; else gp2x_keys[4]=0; end
         if (key(_x)) gp2x_keys[3]++; else gp2x_keys[3]=0; end
         if (key(_z)) gp2x_keys[2]++; else gp2x_keys[2]=0; end
         if (key(_alt)) gp2x_keys[1]++; else gp2x_keys[1]=0; end
         if (key(_control)) gp2x_keys[0]++; else gp2x_keys[0]=0; end
         frame;
     end
end
